Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io
Interface HierarchicalStreamWriter

All Known Subinterfaces:
  DocumentWriter, ExtendedHierarchicalStreamWriter

All Known Implementing Classes:
  AbstractDocumentWriter, AbstractXmlWriter, BinaryStreamWriter, CompactWriter, Dom4JWriter, Dom4JXmlWriter, DomWriter, JDomWriter, JettisonStaxWriter, JsonHierarchicalStreamWriter, JsonWriter, PathTrackingWriter, PrettyPrintWriter, SaxWriter, StatefulWriter, StaxWriter, WriterWrapper, XomWriter, XppDomWriter

    public interface HierarchicalStreamWriter

Author:
  Joe Walnes

Method Summary
`void` | `addAttribute(String name, String value)`
`void` | `close()` Close the writer, if necessary.
`void` | `endNode()`
`void` | `flush()` Flush the writer, if necessary.
`void` | `setValue(String text)` Write the value (text content) of the current node.
`void` | `startNode(String name)`
`HierarchicalStreamWriter` | `underlyingWriter()` Return the underlying HierarchicalStreamWriter implementation.

Method Detail

### startNode

    void startNode(String name)

### addAttribute

    void addAttribute(String name,
                      String value)

### setValue

    void setValue(String text)

  Write the value (text content) of the current node.

### endNode

    void endNode()

### flush

    void flush()

  Flush the writer, if necessary.

### close

    void close()

  Close the writer, if necessary.

### underlyingWriter

    HierarchicalStreamWriter underlyingWriter()

  Return the underlying HierarchicalStreamWriter implementation.

  If a Converter needs to access methods of a specific HierarchicalStreamWriter implementation that are not defined in the HierarchicalStreamWriter interface, it should call this method before casting. This is because the writer passed to the Converter is often wrapped/decorated by another implementation to provide additional functionality (such as XPath tracking).

  For example:

      MySpecificWriter mySpecificWriter = (MySpecificWriter)writer; // INCORRECT!
       mySpecificWriter.doSomethingSpecific();

      MySpecificWriter mySpecificWriter = (MySpecificWriter)writer.underlyingWriter();  // CORRECT!
       mySpecificWriter.doSomethingSpecific();

  Implementations of HierarchicalStreamWriter should return 'this', unless they are a decorator, in which case they should delegate to whatever they are wrapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.